// components/order-item/manager-order-item.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    item: {
      value: null,
      type: Object
    },
    roleType: {
      value: null,
      type: Number
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    canFixDisPatch: true
  },
  observers:{
    'item': function(newItem){
      var start_date = new Date(newItem.expectArrivalTime.replace(/-/g, "/"))
      var end_date = new Date()
      var ms = end_date.getTime() - start_date.getTime()
      if(ms > 0){
        this.setData({
          canFixDisPatch: false
        })
      }
    }
  },
  /**
   * 组件的方法列表
   */
  methods: {
    dealAction(){
      this.triggerEvent("dealAction",{id: this.data.item.id})
    },
    cancelAction(){
      this.triggerEvent("cancelAction",{id: this.data.item.id})
    },
    finishAction(){
      this.triggerEvent("finishAction",{id: this.data.item.id})
    },
    dispatchAction(){
      this.triggerEvent("dispatchAction",{id: this.data.item.id})
    },
    fixDispatchAction(){
      this.triggerEvent("fixDispatchAction",{id: this.data.item.id})
    }
  }
})
