// pages/mine/change-phone.js

const {
  ApiSendCode,
  ApiRebind
} = require("../../http/api")
const {
  wxPost
} = require("../../http/network")
const { showToast } = require("../../utils/common")

let intervalId

Page({

  /**
   * 页面的初始数据
   */
  data: {
    phone: '',
    time: 0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },
  onUnload(){
    clearInterval(intervalId)
  },

  submitAction() {
    if (this.data.phone.length != 11) {
      wx.showToast({
        icon: 'none',
        title: '请输入手机号',
      })
      return
    }

    if (this.data.code.length == 0) {
      wx.showToast({
        icon: 'none',
        title: '请输入验证码',
      })
      return
    }

    wxPost(ApiRebind, {
      phone: this.data.phone,
      code: this.data.code
    }).then(res => {
      wx.navigateBack()
    })

  },
  sendCodeAction() {
    if (this.data.phone.length != 11) {
      wx.showToast({
        icon: 'none',
        title: '请输入手机号',
      })
      return
    }
    this.sendCodeRequest(this.data.phone)
  },
  sendCodeRequest(phone) {
    let that = this
    wxPost(ApiSendCode, {
      'to': phone
    }).then((res) => {
      showToast("发送成功")
      that.setData({
        time: 60
      })
      intervalId = setInterval(function () {
        let time = that.data.time
        time--
        if (time <= 0) {
          clearInterval(intervalId)
        }
        that.setData({
          time
        })
      }, 1000)
    })

  }
})