// pages/mine/mine.js
import { ApiUserInfo, ApiContact } from '../../http/api'
import { wxGet } from '../../http/network'
import {jumpPage} from '../../utils/common'

const app = getApp()

Page({

  /**
   * 页面的初始数据
   */
  data: {
    isLogin: app.globalData.token.length > 0,
    data: null,
    phone: ""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },
  onShow(opt){
    this.setData({
      isLogin: app.globalData.token.length > 0
    })
    if(this.data.isLogin){
      this.getUserInfo()
    }
    wxGet(ApiContact).then(res=>{
      this.setData({
        phone: res.data
      })
    })
  },
  getUserInfo(){
    wxGet(ApiUserInfo).then(res=>{
      this.setData({
        data: res.data
      })
      // 1客服 2估价员 3销售
      app.globalData.roleType = res.data.roleType
    }).catch(()=>{
      this.setData({
        isLogin: false
      })
    })
  },
  userInfoAction:jumpPage(function(e){
    wx.navigateTo({
      url: './user-info',
    })
  },true),
  customerAction(){
    
  },
  offcialAction(){
    wx.navigateTo({
      url: '/pages/mine/official-account',
    })
  },
  aboutAction(){
    wx.navigateTo({
      url: './about-us',
    })
  },
  addressPage:jumpPage(function(e){
    wx.navigateTo({
      url: '../address/index',
    })
  },true),
  orderListAction:jumpPage(function(e){
    let status = e.currentTarget.dataset.status
    wx.navigateTo({
      url: '../order/order-list?orderStatus=' + status,
    })
  },true),
  managerOrderList(){
    wx.navigateTo({
      url: '../workbench/order-list',
    })
  },
  callPhone(){
    wx.makePhoneCall({
      phoneNumber: this.data.phone,
    })
  }
})