// pages/search/index.js
import api, { ApiServiceFind } from '../../http/api'
import {
  wxGet
} from '../../http/network'

const app = getApp()

Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: null,
    keywordList: [],
    keyword: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let keywordList = wx.getStorageSync('keywordList')
    this.setData({
      keywordList
    })
  },
  // 开始搜索
  bindconfirm(){
    let keyword = this.data.keyword
    keyword = keyword.replace(/(\s*$)/g,"")
    if(keyword.length == 0){
      wx.showToast({
        icon: 'none',
        title: '请输入关键词',
      })
      return
    }
    let that = this

    let keywordList = this.data.keywordList

    if(keywordList == ''){
      keywordList = []
    }
    let index = keywordList.indexOf(keyword);
    if(index != -1){
      keywordList.splice(index ,1)
    }

    keywordList.unshift(keyword)
    this.setData({
      keywordList
    })
    wx.setStorageSync('keywordList', keywordList)

    wxGet(ApiServiceFind,{"keyWord":keyword}).then((res)=>{
      that.setData({
        list: res.data
      })
    })
  },
  // 清空记录
  clearAction(){
    wx.removeStorageSync('keywordList')
    this.setData({
      keywordList: []
    })
  },
  historyItemClick(e){
    console.log(e)
    let name = e.currentTarget.dataset.name
    this.setData({
      keyword: name
    })
    this.bindconfirm()
  },
  itemClick(e){
    let index = e.currentTarget.dataset.index
    let id = this.data.list[index].id
    let serviceName = this.data.list[index].serviceName
    wx.navigateTo({
      url: `../service/service-detail?id=${id}&serviceName=${serviceName}`
    })
  }
})