// pages/service/service.js

import { wxGet } from '../../http/network'
import { ApiService } from '../../http/api'

const app = getApp()

Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: [],
    selected: 0,
    children: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.id = app.globalData.cateId
    this.getData()
  },
  onShow(e){
    this.id = app.globalData.cateId
    if(this.data.list.length > 0 && this.id > 0){
      this.changeDefault()
    }
  },
  getData(){
    wxGet(ApiService).then(res=>{
      this.setData({
        list: res.data,
        children: res.data[0].children
      })
      if(this.id){
        this.changeDefault()
      }
    })
  },
  changeDefault(){
    let list = this.data.list
    for(let i=0;i<list.length;i++){
      let data = list[i]
      if(data.id == this.id){
        this.setData({
          selected: i,
          children: data.children
        })
        app.globalData.cateId = 0
        break
      }
    }
  },
  leftClickAction(e){
    let index = e.currentTarget.dataset.index
    this.setData({
      selected: index,
      children: this.data.list[index].children
    })
  },
  rightClickAction(e){
    let index = e.currentTarget.dataset.index
    let id = this.data.children[index].id
    let serviceName = this.data.children[index].serviceName
    wx.navigateTo({
      url: `../service/service-detail?id=${id}&serviceName=${serviceName}`
    })
  },
  searchAction(){
    wx.navigateTo({
      url: '/pages/search/index',
    })
  }
})